slepc-3.21.1 2024-04-26
Report Typos and Errors

# PEPSetTolerances

Sets the tolerance and maximum iteration count used by the PEP convergence tests.

### Synopsis

    #include "slepcpep.h"
    PetscErrorCode PEPSetTolerances(PEP pep,PetscReal tol,PetscInt maxits)

Logically Collective

### Input Parameters

| pep | - the polynomial eigensolver context
| tol | - the convergence tolerance
| maxits | - maximum number of iterations to use

### Options Database Keys

| -pep_tol <tol> | - Sets the convergence tolerance
| -pep_max_it <maxits> | - Sets the maximum number of iterations allowed

### Notes

Use PETSC_DEFAULT for either argument to assign a reasonably good value.

### See Also

PEPGetTolerances()

### Level

intermediate

### Location

src/pep/interface/pepopts.c
Index of all PEP routines
Table of Contents for all manual pages
Index of all manual pages